@import "@/styles/variables";

.header {
    width: 100%;
    grid-column: 1 / -1;
    display: flex;
    justify-content: space-between;
    //padding: $padding-sm;
    position: sticky;
    top: 0;
    z-index: 100;

    a {
        text-decoration: none;
        color: $black;
    }

    &_scrolled {
        background-color: rgb($white, 96%);

        @include notebook {
            background-color: rgb($white, 85%);
            backdrop-filter: blur(10px);
        }

        > a {
            div:first-of-type {
                transition: all 0.25s;
                transform-origin: top left;

                @include tablet {
                    width: 4rem;
                    height: 4rem;
                }
            }
        }
    }
}
